
/* data from Chris Hajzler via email correspondence on May 16, 2014 */
use hajzler_original, clear
replace year = "" if year==".."
destring year, replace
sort country year
tab sector
gen cntry=substr(country, 1, 1)+ lower(substr(country, 2, .))
replace cntry ="UAE" if cntry =="Dubai" | cntry == "Abudhabi"
replace cntry ="Sri Lanka" if cntry =="Srilanka" | cntry == "Sri lanka"
replace cntry ="Afghanistan" if cntry =="Afganistan"  
replace cntry ="Antigua and Barbuda" if cntry =="Antgua and barbuda"  | cntry =="Antigua"
replace cntry ="Bangladesh" if cntry =="Banglase8h" | cntry == "Banglasesh"
replace cntry ="Cameroon" if cntry =="Camaroon"  
replace cntry ="Cambodia" if cntry =="Camboida" 
replace cntry ="Central African Republic" if cntry =="Car"  
replace cntry ="Congo, Dem. Rep." if cntry =="Congo, dem. rep" 
replace cntry ="Congo" if cntry =="Congopr" 
replace cntry ="Costa Rica" if cntry =="Costa rica"  
replace cntry ="Cote d'Ivoire" if cntry =="Cote d'ivoire" 
replace cntry ="Dominican Republic" if cntry =="Domican republic" | cntry == "Dominican republic"
replace cntry ="El Salvador" if cntry =="El salvador" 
replace cntry ="Madagascar" if cntry =="Malagasay" 
replace cntry ="Philippines" if cntry =="Philippine" 
replace cntry ="Cambodia" if cntry =="Camboida" 
replace cntry ="Romania" if cntry =="Romainia" 
replace cntry ="Saudi Arabia" if cntry =="Sarabia" 
replace cntry ="Sierra Leone" if cntry =="Sierral" 
replace cntry ="Somalia" if cntry =="Somolia" 
replace cntry ="South Africa" if cntry =="South africa" 
replace cntry ="Trinidad and Tobago" if cntry =="Trinidad" | cntry == "Trinidad and tobago"
drop country
rename cntry country
gen cowcode =. 
do cowcodes
gen x = 1 if sector =="PET"
gen a = 1
egen allexp= sum(a), by(cow year)
egen oilexp = sum(x), by(cow year)
egen tag  = tag(cow year)
keep if tag==1
drop tag x a
sum
sort cow year
save expropriations, replace
